[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.Ellipse

Draws a filled ellipse (or circle) on the canvas.

## Declaration

Source position: graphics.pp line 1116

`public procedure TCanvas.Ellipse(`
`const ARect: TRect`
`); procedure TCanvas.Ellipse(`
`x1: Integer;`
`y1: Integer;`
`x2: Integer;`
`y2: Integer`
`); virtual;`

## Arguments

`ARect` |  | TRect instance with the bounds for the shape.

## Arguments

`x1` |  | Left coordinate for the bounding box.
`y1` |  | Top coordinate for the bounding box.
`x2` |  | Right coordinate for the bounding box.
`y2` |  | Bottom coordinate for the bounding box.

## Description

Ellipse is an overloaded, reintroduced method in TCanvas used to draw a filled ellipse shape. The overloaded variants allow the shape to be defined either as a rectangular area where the shape is drawn, or by using Integer coordinates to establish the major and minor axis for the shape.

ARect is the TRect instance with the bounds for the shape.

x1, y1, x2, and y2 allows the bounds for the shape to be specified as Integer values.

The bounds are used to calculate the vertex, co-vertex, linear eccentricity and focal points for the shape.

When the bounds area is a square, the resulting shape is a circle.

Ellipse calls the Ellipse routine in the LCL interface to perform the drawing operation.

## See also

LCLIntf.Ellipse |  | Draws a filled circle or ellipse, bounded by a rectangle.